/* eslint-disable @typescript-eslint/consistent-type-imports */
declare module 'vue' {
  export interface GlobalComponents {
    MapAffix: typeof import('map-design-vue')['Affix'];

    MapAlert: typeof import('map-design-vue')['Alert'];

    MapAnchor: typeof import('map-design-vue')['Anchor'];

    MapAnchorLink: typeof import('map-design-vue')['AnchorLink'];

    MapAutoComplete: typeof import('map-design-vue')['AutoComplete'];

    MapAutoCompleteOptGroup: typeof import('map-design-vue')['AutoCompleteOptGroup'];

    MapAutoCompleteOption: typeof import('map-design-vue')['AutoCompleteOption'];

    MapAvatar: typeof import('map-design-vue')['Avatar'];

    MapAvatarGroup: typeof import('map-design-vue')['AvatarGroup'];

    MapBackTop: typeof import('map-design-vue')['BackTop'];

    MapBadge: typeof import('map-design-vue')['Badge'];

    MapBadgeRibbon: typeof import('map-design-vue')['BadgeRibbon'];

    MapBreadcrumb: typeof import('map-design-vue')['Breadcrumb'];

    MapBreadcrumbItem: typeof import('map-design-vue')['BreadcrumbItem'];

    MapBreadcrumbSeparator: typeof import('map-design-vue')['BreadcrumbSeparator'];

    MapButton: typeof import('map-design-vue')['Button'];

    MapButtonGroup: typeof import('map-design-vue')['ButtonGroup'];

    MapCalendar: typeof import('map-design-vue')['Calendar'];

    MapCard: typeof import('map-design-vue')['Card'];

    MapCardGrid: typeof import('map-design-vue')['CardGrid'];

    MapCardMeta: typeof import('map-design-vue')['CardMeta'];

    MapCarousel: typeof import('map-design-vue')['Carousel'];

    MapCascader: typeof import('map-design-vue')['Cascader'];

    MapCheckableTag: typeof import('map-design-vue')['CheckableTag'];

    MapCheckbox: typeof import('map-design-vue')['Checkbox'];

    MapCheckboxGroup: typeof import('map-design-vue')['CheckboxGroup'];

    MapCol: typeof import('map-design-vue')['Col'];

    MapCollapse: typeof import('map-design-vue')['Collapse'];

    MapCollapsePanel: typeof import('map-design-vue')['CollapsePanel'];

    MapComment: typeof import('map-design-vue')['Comment'];

    MapConfigProvider: typeof import('map-design-vue')['ConfigProvider'];

    MapDatePicker: typeof import('map-design-vue')['DatePicker'];

    MapDescriptions: typeof import('map-design-vue')['Descriptions'];

    MapDescriptionsItem: typeof import('map-design-vue')['DescriptionsItem'];

    MapDirectoryTree: typeof import('map-design-vue')['DirectoryTree'];

    MapDivider: typeof import('map-design-vue')['Divider'];

    MapDrawer: typeof import('map-design-vue')['Drawer'];

    MapDropdown: typeof import('map-design-vue')['Dropdown'];

    MapDropdownButton: typeof import('map-design-vue')['DropdownButton'];

    MapEmpty: typeof import('map-design-vue')['Empty'];

    MapForm: typeof import('map-design-vue')['Form'];

    MapFormItem: typeof import('map-design-vue')['FormItem'];

    MapFormItemRest: typeof import('map-design-vue')['FormItemRest'];

    MapImage: typeof import('map-design-vue')['Image'];

    MapImagePreviewGroup: typeof import('map-design-vue')['ImagePreviewGroup'];

    MapInput: typeof import('map-design-vue')['Input'];

    MapInputGroup: typeof import('map-design-vue')['InputGroup'];

    MapInputNumber: typeof import('map-design-vue')['InputNumber'];

    MapInputPassword: typeof import('map-design-vue')['InputPassword'];

    MapInputSearch: typeof import('map-design-vue')['InputSearch'];

    MapLayout: typeof import('map-design-vue')['Layout'];

    MapLayoutContent: typeof import('map-design-vue')['LayoutContent'];

    MapLayoutFooter: typeof import('map-design-vue')['LayoutFooter'];

    MapLayoutHeader: typeof import('map-design-vue')['LayoutHeader'];

    MapLayoutSider: typeof import('map-design-vue')['LayoutSider'];

    MapList: typeof import('map-design-vue')['List'];

    MapListItem: typeof import('map-design-vue')['ListItem'];

    MapListItemMeta: typeof import('map-design-vue')['ListItemMeta'];

    MapLocaleProvider: typeof import('map-design-vue')['LocaleProvider'];

    MapMentions: typeof import('map-design-vue')['Mentions'];

    MapMentionsOption: typeof import('map-design-vue')['MentionsOption'];

    MapMenu: typeof import('map-design-vue')['Menu'];

    MapMenuDivider: typeof import('map-design-vue')['MenuDivider'];

    MapMenuItem: typeof import('map-design-vue')['MenuItem'];

    MapMenuItemGroup: typeof import('map-design-vue')['MenuItemGroup'];

    MapModal: typeof import('map-design-vue')['Modal'];

    MapMonthPicker: typeof import('map-design-vue')['MonthPicker'];

    MapPageHeader: typeof import('map-design-vue')['PageHeader'];

    MapPagination: typeof import('map-design-vue')['Pagination'];

    MapPopconfirm: typeof import('map-design-vue')['Popconfirm'];

    MapPopover: typeof import('map-design-vue')['Popover'];

    AProgress: typeof import('map-design-vue')['Progress'];

    AQuarterPicker: typeof import('map-design-vue')['QuarterPicker'];

    MapRadio: typeof import('map-design-vue')['Radio'];

    MapRadioButton: typeof import('map-design-vue')['RadioButton'];

    MapRadioGroup: typeof import('map-design-vue')['RadioGroup'];

    MapRangePicker: typeof import('map-design-vue')['RangePicker'];

    MapRate: typeof import('map-design-vue')['Rate'];

    MapResult: typeof import('map-design-vue')['Result'];

    MapRow: typeof import('map-design-vue')['Row'];

    MapSelect: typeof import('map-design-vue')['Select'];

    MapSelectOptGroup: typeof import('map-design-vue')['SelectOptGroup'];

    MapSelectOption: typeof import('map-design-vue')['SelectOption'];

    MapSkeleton: typeof import('map-design-vue')['Skeleton'];

    MapSkeletonAvatar: typeof import('map-design-vue')['SkeletonAvatar'];

    MapSkeletonButton: typeof import('map-design-vue')['SkeletonButton'];

    MapSkeletonImage: typeof import('map-design-vue')['SkeletonImage'];

    MapSkeletonInput: typeof import('map-design-vue')['SkeletonInput'];

    MapSlider: typeof import('map-design-vue')['Slider'];

    MapSpace: typeof import('map-design-vue')['Space'];

    MapSpin: typeof import('map-design-vue')['Spin'];

    MapStatistic: typeof import('map-design-vue')['Statistic'];

    MapStatisticCountdown: typeof import('map-design-vue')['StatisticCountdown'];

    MapStep: typeof import('map-design-vue')['Step'];

    MapSteps: typeof import('map-design-vue')['Steps'];

    MapSubMenu: typeof import('map-design-vue')['SubMenu'];

    MapSwitch: typeof import('map-design-vue')['Switch'];

    MapTabPane: typeof import('map-design-vue')['TabPane'];

    MapTable: typeof import('map-design-vue')['Table'];

    MapTableColumn: typeof import('map-design-vue')['TableColumn'];

    MapTableColumnGroup: typeof import('map-design-vue')['TableColumnGroup'];

    MapTableSummary: typeof import('map-design-vue')['TableSummary'];

    MapTableSummaryCell: typeof import('map-design-vue')['TableSummaryCell'];

    MapTableSummaryRow: typeof import('map-design-vue')['TableSummaryRow'];

    MapTabs: typeof import('map-design-vue')['Tabs'];

    MapTag: typeof import('map-design-vue')['Tag'];

    ATextarea: typeof import('map-design-vue')['Textarea'];

    MapTimePicker: typeof import('map-design-vue')['TimePicker'];

    MapTimeRangePicker: typeof import('map-design-vue')['TimeRangePicker'];

    MapTimeline: typeof import('map-design-vue')['Timeline'];

    MapTimelineItem: typeof import('map-design-vue')['TimelineItem'];

    MapTooltip: typeof import('map-design-vue')['Tooltip'];

    MapTransfer: typeof import('map-design-vue')['Transfer'];

    MapTree: typeof import('map-design-vue')['Tree'];

    MapTreeNode: typeof import('map-design-vue')['TreeNode'];

    MapTreeSelect: typeof import('map-design-vue')['TreeSelect'];

    MapTreeSelectNode: typeof import('map-design-vue')['TreeSelectNode'];

    MapTypography: typeof import('map-design-vue')['Typography'];

    MapTypographyLink: typeof import('map-design-vue')['TypographyLink'];

    MapTypographyParagraph: typeof import('map-design-vue')['TypographyParagraph'];

    MapTypographyText: typeof import('map-design-vue')['TypographyText'];

    MapTypographyTitle: typeof import('map-design-vue')['TypographyTitle'];

    MapUpload: typeof import('map-design-vue')['Upload'];

    MapUploadDragger: typeof import('map-design-vue')['UploadDragger'];

    MapWeekPicker: typeof import('map-design-vue')['WeekPicker'];
  }
}
export {};
